- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# checkpoint_session – Manages session objects on Check Point over Web Services API

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages session objects on Check Point devices performing actions like publish and discard. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
state string | Choices: published ← discarded | Action to perform on the session object. Valid choices are published and discarded.
uid string / required |  | UID of the session.

## Examples

    - name: Publish session
      checkpoint_session:
        uid: 7a13a360-9b24-40d7-acd3-5b50247be33e
        state: published

    - name: Discard session
      checkpoint_session:
        uid: 7a13a360-9b24-40d7-acd3-5b50247be33e
        state: discarded

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
checkpoint_session list | always. | The checkpoint session output per return from API. It will differ depending on action.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.